#language: ru

@tma

Функционал: 011. Tma. Продажи по акции

Сценарий: 011.1. Tma. Продажи по акции

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.к2АкционныеОтгрузки" без контроля ссылок
	И Я начинаю создавать реализацию товаров на дату "21.06.2019"
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Лента'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Лента. Бор'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Брынза" с характеристикой "Фасованный 200 гр" в количестве "200,000"
	И Я добавляю в заказ клиента номенклатуру "Сливочный сыр" с характеристикой "Фасованный 200 гр" в количестве "300,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'  | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'          | 'Вес, кг' |
		| '200,000'    | 'Брынза'        | 'кг'  | ''      | '100,00'               | 'Фасованный 200 гр' | '20 000,00'  | '<не используются>' | '200,000, кг'    | '120,00'    | ''          | '20 000,00'  | 'Сырная ГП(ТМА)' | '200'     |
		| '300,000'    | 'Сливочный сыр' | 'кг'  | ''      | '90,00'                | 'Фасованный 200 гр' | '27 000,00'  | '<не используются>' | '300,000, кг'    | '100,00'    | ''          | '27 000,00'  | 'Сырная ГП(ТМА)' | '300'     |
	И элемент формы "Скидка, %" стал равен "12,96"
	И элемент формы "Скидка" стал равен "7 000,00"
	И элемент формы "Итого, RUB" стал равен "47 000,00"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'           | 'Статус'       | 'Сумма'          | 'Точка доставки' |
		| '21.06.2019' | 'Лента'      | 'Организация' | 'Администратор' | 'Соглашение для Ленты' | 'Сформирована' | '47 000,00, RUB' | 'Лента. Бор'     |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '21.06.2019  0:00:00'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Магнит'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Магнит. Бор'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'  | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'          | 'Вес, кг' | 'Документ резерва' |
		| '200,000'    | 'Брынза'        | 'кг'  | ''      | '100,00'               | 'Фасованный 200 гр' | '20 000,00'  | '<не используются>' | '200,000, кг'    | '120,00'    | ''          | '20 000,00'  | 'Сырная ГП(ТМА)' | '200'     | ''                 |
		| '300,000'    | 'Сливочный сыр' | 'кг'  | ''      | '90,00'                | 'Фасованный 200 гр' | '27 000,00'  | '<не используются>' | '300,000, кг'    | '100,00'    | ''          | '27 000,00'  | 'Сырная ГП(ТМА)' | '300'     | ''                 |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'             | 'Статус'       | 'Сумма'          | 'Точка доставки' |
		| '21.06.2019' | 'Магнит'     | 'Организация' | 'Администратор' | 'Соглашение для Магнита' | 'Сформирована' | '47 000,00, RUB' | 'Магнит. Бор'    |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '20.06.2019  0:00:00'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Магнит. Нижний Новгород'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'  | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'          | 'Вес, кг' | 'Документ резерва' |
		| '200,000'    | 'Брынза'        | 'кг'  | ''      | '100,00'               | 'Фасованный 200 гр' | '20 000,00'  | '<не используются>' | '200,000, кг'    | '120,00'    | ''          | '20 000,00'  | 'Сырная ГП(ТМА)' | '200'     | ''                 |
		| '300,000'    | 'Сливочный сыр' | 'кг'  | ''      | '90,00'                | 'Фасованный 200 гр' | '27 000,00'  | '<не используются>' | '300,000, кг'    | '100,00'    | ''          | '27 000,00'  | 'Сырная ГП(ТМА)' | '300'     | ''                 |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'           | 'Статус'       | 'Сумма'          | 'Точка доставки' |
		| '21.06.2019' | 'Лента'      | 'Организация' | 'Администратор' | 'Соглашение для Ленты' | 'Сформирована' | '47 000,00, RUB' | 'Лента. Бор'     |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '20.06.2019  0:00:00'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Лента. Нижний Новгород'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'  | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'          | 'Вес, кг' | 'Документ резерва' |
		| '200,000'    | 'Брынза'        | 'кг'  | ''      | '100,00'               | 'Фасованный 200 гр' | '20 000,00'  | '<не используются>' | '200,000, кг'    | '120,00'    | ''          | '20 000,00'  | 'Сырная ГП(ТМА)' | '200'     | ''                 |
		| '300,000'    | 'Сливочный сыр' | 'кг'  | ''      | '90,00'                | 'Фасованный 200 гр' | '27 000,00'  | '<не используются>' | '300,000, кг'    | '100,00'    | ''          | '27 000,00'  | 'Сырная ГП(ТМА)' | '300'     | ''                 |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Контрагент' | 'Организация' | 'Ответственный' | 'Соглашение'           | 'Статус'       | 'Сумма'          | 'Точка доставки' |
		| '21.06.2019' | 'Лента'      | 'Организация' | 'Администратор' | 'Соглашение для Ленты' | 'Сформирована' | '47 000,00, RUB' | 'Лента. Бор'     |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '23.06.2019  0:00:00'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Лента. Бор'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'  | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'          | 'Вес, кг' |
		| '200,000'    | 'Брынза'        | 'кг'  | ''      | '120,00'               | 'Фасованный 200 гр' | '24 000,00'  | '<не используются>' | '200,000, кг'    | '120,00'    | ''          | '24 000,00'  | 'Сырная ГП(ТМА)' | '200'     |
		| '300,000'    | 'Сливочный сыр' | 'кг'  | ''      | '100,00'               | 'Фасованный 200 гр' | '30 000,00'  | '<не используются>' | '300,000, кг'    | '100,00'    | ''          | '30 000,00'  | 'Сырная ГП(ТМА)' | '300'     |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Реализация товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 011.2. Tma. Завершение

	И Я закрыл все окна клиентского приложения